OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::universal_midi_packets::Factory::Detail Struct Reference

`#include <juce_UMPFactory.h>`

## Static Public Member Functions
static PacketX1 | makeSystem ()
static PacketX1 | makeV1 ()
static PacketX2 | makeV2 ()
static PacketX2 | makeSysEx (uint8_t group, uint8_t status, uint8_t numBytes, const std::byte *data)
static PacketX4 | makeSysEx8 (uint8_t group, uint8_t status, uint8_t numBytes, uint8_t dataStart, const uint8_t *data)

## Detailed Description

Definition at line 37 of file juce_UMPFactory.h.

## Member Function Documentation

## ◆ makeSysEx()

static PacketX2 juce::universal_midi_packets::Factory::Detail::makeSysEx | ( | uint8_t | group,
|  | uint8_t | status,
|  | uint8_t | numBytes,
|  | const std::byte * | data )
| inline static

Definition at line 43 of file juce_UMPFactory.h.

## ◆ makeSysEx8()

static PacketX4 juce::universal_midi_packets::Factory::Detail::makeSysEx8 | ( | uint8_t | group,
|  | uint8_t | status,
|  | uint8_t | numBytes,
|  | uint8_t | dataStart,
|  | const uint8_t * | data )
| inline static

Definition at line 64 of file juce_UMPFactory.h.

## ◆ makeSystem()

static PacketX1 juce::universal_midi_packets::Factory::Detail::makeSystem | ( |  | ) |
| inline static

Definition at line 39 of file juce_UMPFactory.h.

## ◆ makeV1()

static PacketX1 juce::universal_midi_packets::Factory::Detail::makeV1 | ( |  | ) |
| inline static

Definition at line 40 of file juce_UMPFactory.h.

## ◆ makeV2()

static PacketX2 juce::universal_midi_packets::Factory::Detail::makeV2 | ( |  | ) |
| inline static

Definition at line 41 of file juce_UMPFactory.h.

The documentation for this struct was generated from the following file:

- juce_UMPFactory.h